<?xml version="1.0" encoding="UTF-8"?>
<uml:Model xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xmi:id="_DP2IwNooEemf5KbOCDCKzA" name="Spannungsregelung_s3">
  <packageImport xmi:type="uml:PackageImport" xmi:id="_DiszUNooEemf5KbOCDCKzA">
    <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
  </packageImport>
  <packagedElement xmi:type="uml:Package" xmi:id="_u-kLcNooEemf5KbOCDCKzA" name="61850">
    <packagedElement xmi:type="uml:Package" xmi:id="_QdSlANopEemf5KbOCDCKzA" name="Scenario">
      <packagedElement xmi:type="uml:Collaboration" xmi:id="_BIc5QNo6Eemf5KbOCDCKzA" name="Col Regulating">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_DrSCYNo6Eemf5KbOCDCKzA" name="Controlled Station CDC" type="_55oVYNopEemf5KbOCDCKzA"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_EiunwNo6Eemf5KbOCDCKzA" name="Main Station MessageService" type="_7PhxUNopEemf5KbOCDCKzA"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_E4pNYNo6Eemf5KbOCDCKzA" name="Main Station Regulator" type="_5YjooNopEemf5KbOCDCKzA"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_Fpv6MNo6Eemf5KbOCDCKzA" name="Main Station SetPointGen" type="_72FbANopEemf5KbOCDCKzA"/>
        <ownedConnector xmi:type="uml:Connector" xmi:id="_XtRKANo6Eemf5KbOCDCKzA" name="Connector5" type="_tHLDoNo2Eemf5KbOCDCKzA">
          <end xmi:type="uml:ConnectorEnd" xmi:id="_XtRKAdo6Eemf5KbOCDCKzA" role="_E4pNYNo6Eemf5KbOCDCKzA"/>
          <end xmi:type="uml:ConnectorEnd" xmi:id="_XtRKAto6Eemf5KbOCDCKzA" role="_Fpv6MNo6Eemf5KbOCDCKzA"/>
        </ownedConnector>
        <ownedConnector xmi:type="uml:Connector" xmi:id="_Y6QhkNo6Eemf5KbOCDCKzA" name="Connector6" type="_WPjgwNo4Eemf5KbOCDCKzA">
          <end xmi:type="uml:ConnectorEnd" xmi:id="_Y6SWwNo6Eemf5KbOCDCKzA" role="_E4pNYNo6Eemf5KbOCDCKzA"/>
          <end xmi:type="uml:ConnectorEnd" xmi:id="_Y6SWwdo6Eemf5KbOCDCKzA" role="_EiunwNo6Eemf5KbOCDCKzA"/>
        </ownedConnector>
        <ownedConnector xmi:type="uml:Connector" xmi:id="_aHyEoNo6Eemf5KbOCDCKzA" name="Connector7" type="_dMqc0No4Eemf5KbOCDCKzA">
          <end xmi:type="uml:ConnectorEnd" xmi:id="_aHyEodo6Eemf5KbOCDCKzA" role="_DrSCYNo6Eemf5KbOCDCKzA"/>
          <end xmi:type="uml:ConnectorEnd" xmi:id="_aHyEoto6Eemf5KbOCDCKzA" role="_EiunwNo6Eemf5KbOCDCKzA"/>
        </ownedConnector>
        <ownedBehavior xmi:type="uml:Interaction" xmi:id="_1JAgMNpDEemf5KbOCDCKzA" name="IntRegulating">
          <lifeline xmi:type="uml:Lifeline" xmi:id="_6GcqkNpDEemf5KbOCDCKzA" name="Lifeline1" represents="_E4pNYNo6Eemf5KbOCDCKzA" coveredBy="_9l2JoNpDEemf5KbOCDCKzA _Yifg0NpFEemf5KbOCDCKzA"/>
          <lifeline xmi:type="uml:Lifeline" xmi:id="_6hjSMNpDEemf5KbOCDCKzA" name="Lifeline2" represents="_Fpv6MNo6Eemf5KbOCDCKzA" coveredBy="_9l3-0NpDEemf5KbOCDCKzA"/>
          <lifeline xmi:type="uml:Lifeline" xmi:id="_XIPwYNpFEemf5KbOCDCKzA" name="Lifeline6" represents="_EiunwNo6Eemf5KbOCDCKzA" coveredBy="_YihWANpFEemf5KbOCDCKzA _FoZuANpIEemf5KbOCDCKzA _FobjMNpIEemf5KbOCDCKzA _mtSrQNpIEemf5KbOCDCKzA _E58aoNpKEemf5KbOCDCKzA _YZQBENpMEemf5KbOCDCKzA _LWvGMNq-EemAb6L-LLAblw"/>
          <lifeline xmi:type="uml:Lifeline" xmi:id="_ksvv0NpIEemf5KbOCDCKzA" name="Lifeline13" represents="_DrSCYNo6Eemf5KbOCDCKzA" coveredBy="_mtVHgNpIEemf5KbOCDCKzA _E55-YNpKEemf5KbOCDCKzA _YZR2QNpMEemf5KbOCDCKzA _LWvtQNq-EemAb6L-LLAblw"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_9l2JoNpDEemf5KbOCDCKzA" name="Message3SendEvent" covered="_6GcqkNpDEemf5KbOCDCKzA" message="_9leWMNpDEemf5KbOCDCKzA"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_9l3-0NpDEemf5KbOCDCKzA" name="Message3ReceiveEvent" covered="_6hjSMNpDEemf5KbOCDCKzA" message="_9leWMNpDEemf5KbOCDCKzA"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_Yifg0NpFEemf5KbOCDCKzA" name="Message7SendEvent" covered="_6GcqkNpDEemf5KbOCDCKzA" message="_YidroNpFEemf5KbOCDCKzA"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_YihWANpFEemf5KbOCDCKzA" name="Message7ReceiveEvent" covered="_XIPwYNpFEemf5KbOCDCKzA" message="_YidroNpFEemf5KbOCDCKzA"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_FoZuANpIEemf5KbOCDCKzA" name="Message10SendEvent" covered="_XIPwYNpFEemf5KbOCDCKzA" message="_FoWqsNpIEemf5KbOCDCKzA"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_FobjMNpIEemf5KbOCDCKzA" name="Message10ReceiveEvent" covered="_XIPwYNpFEemf5KbOCDCKzA" message="_FoWqsNpIEemf5KbOCDCKzA"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_mtSrQNpIEemf5KbOCDCKzA" name="Message14SendEvent" covered="_XIPwYNpFEemf5KbOCDCKzA" message="_mtPn8NpIEemf5KbOCDCKzA"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_mtVHgNpIEemf5KbOCDCKzA" name="Message14ReceiveEvent" covered="_ksvv0NpIEemf5KbOCDCKzA" message="_mtPn8NpIEemf5KbOCDCKzA"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_E55-YNpKEemf5KbOCDCKzA" name="Message17SendEvent" covered="_ksvv0NpIEemf5KbOCDCKzA" message="_E53iINpKEemf5KbOCDCKzA"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_E58aoNpKEemf5KbOCDCKzA" name="Message17ReceiveEvent" covered="_XIPwYNpFEemf5KbOCDCKzA" message="_E53iINpKEemf5KbOCDCKzA"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_YZQBENpMEemf5KbOCDCKzA" name="Message17SendEvent" covered="_XIPwYNpFEemf5KbOCDCKzA" message="_YZLvoNpMEemf5KbOCDCKzA"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_YZR2QNpMEemf5KbOCDCKzA" name="Message17ReceiveEvent" covered="_ksvv0NpIEemf5KbOCDCKzA" message="_YZLvoNpMEemf5KbOCDCKzA"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_LWvGMNq-EemAb6L-LLAblw" name="Message23SendEvent" covered="_XIPwYNpFEemf5KbOCDCKzA" message="_LWWrsNq-EemAb6L-LLAblw"/>
          <fragment xmi:type="uml:MessageOccurrenceSpecification" xmi:id="_LWvtQNq-EemAb6L-LLAblw" name="Message23ReceiveEvent" covered="_ksvv0NpIEemf5KbOCDCKzA" message="_LWWrsNq-EemAb6L-LLAblw"/>
          <message xmi:type="uml:Message" xmi:id="_9leWMNpDEemf5KbOCDCKzA" name="Message3" messageSort="asynchCall" receiveEvent="_9l3-0NpDEemf5KbOCDCKzA" sendEvent="_9l2JoNpDEemf5KbOCDCKzA" signature="_AZsaANozEemf5KbOCDCKzA">
            <argument xmi:type="uml:InstanceValue" xmi:id="__1zaENpDEemf5KbOCDCKzA" name="Vector" type="_vbtnMNo4Eemf5KbOCDCKzA"/>
          </message>
          <message xmi:type="uml:Message" xmi:id="_YidroNpFEemf5KbOCDCKzA" name="Message7" messageSort="asynchCall" receiveEvent="_YihWANpFEemf5KbOCDCKzA" sendEvent="_Yifg0NpFEemf5KbOCDCKzA" signature="_ysHPsNoyEemf5KbOCDCKzA"/>
          <message xmi:type="uml:Message" xmi:id="_FoWqsNpIEemf5KbOCDCKzA" name="Message10" messageSort="asynchCall" receiveEvent="_FobjMNpIEemf5KbOCDCKzA" sendEvent="_FoZuANpIEemf5KbOCDCKzA" signature="_GQyhgNo5Eemf5KbOCDCKzA"/>
          <message xmi:type="uml:Message" xmi:id="_mtPn8NpIEemf5KbOCDCKzA" name="Message14" messageSort="asynchCall" receiveEvent="_mtVHgNpIEemf5KbOCDCKzA" sendEvent="_mtSrQNpIEemf5KbOCDCKzA" signature="_E292kNozEemf5KbOCDCKzA"/>
          <message xmi:type="uml:Message" xmi:id="_E53iINpKEemf5KbOCDCKzA" name="Message18" messageSort="asynchCall" receiveEvent="_E58aoNpKEemf5KbOCDCKzA" sendEvent="_E55-YNpKEemf5KbOCDCKzA" signature="_MJO7kNo5Eemf5KbOCDCKzA"/>
          <message xmi:type="uml:Message" xmi:id="_YZLvoNpMEemf5KbOCDCKzA" name="Message17" messageSort="asynchCall" receiveEvent="_YZR2QNpMEemf5KbOCDCKzA" sendEvent="_YZQBENpMEemf5KbOCDCKzA" signature="_A7fNkNo1Eemf5KbOCDCKzA"/>
          <message xmi:type="uml:Message" xmi:id="_LWWrsNq-EemAb6L-LLAblw" name="Message23" messageSort="asynchCall" receiveEvent="_LWvtQNq-EemAb6L-LLAblw" sendEvent="_LWvGMNq-EemAb6L-LLAblw" signature="_Em6BUNozEemf5KbOCDCKzA"/>
        </ownedBehavior>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_WMlqINopEemf5KbOCDCKzA" name="61850 Class">
      <packagedElement xmi:type="uml:Class" xmi:id="_5YjooNopEemf5KbOCDCKzA" name="Regulator">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_4e8b4NowEemf5KbOCDCKzA" name="estimatedState" visibility="private" type="_vbtnMNo4Eemf5KbOCDCKzA"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_46yDUNowEemf5KbOCDCKzA" name="isRegulationNecessary" visibility="private" type="_wtnT8No4Eemf5KbOCDCKzA"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_5K6KANowEemf5KbOCDCKzA" name="isRegulationPossible" visibility="private" type="_wtnT8No4Eemf5KbOCDCKzA"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_5Xo-cNowEemf5KbOCDCKzA" name="setPoints" visibility="private" type="_vbtnMNo4Eemf5KbOCDCKzA"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_5kgVwNowEemf5KbOCDCKzA" name="stateVector" visibility="private" type="_vbtnMNo4Eemf5KbOCDCKzA"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_5yr7sNowEemf5KbOCDCKzA" name="stations" visibility="private" type="_ty3aENo4Eemf5KbOCDCKzA"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_tMHOANo2Eemf5KbOCDCKzA" name="setpointgenerator" type="_72FbANopEemf5KbOCDCKzA" association="_tHLDoNo2Eemf5KbOCDCKzA"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_WQXZENo4Eemf5KbOCDCKzA" name="messageservice" type="_7PhxUNopEemf5KbOCDCKzA" association="_WPjgwNo4Eemf5KbOCDCKzA"/>
        <ownedBehavior xmi:type="uml:StateMachine" xmi:id="_CAskUNpEEemf5KbOCDCKzA" name="RegulatorStateMachine">
          <region xmi:type="uml:Region" xmi:id="_F06c0NpEEemf5KbOCDCKzA" name="Region1">
            <transition xmi:type="uml:Transition" xmi:id="_ZziHYNpEEemf5KbOCDCKzA" source="_H027UNpEEemf5KbOCDCKzA" target="_IJtJ8NpEEemf5KbOCDCKzA"/>
            <transition xmi:type="uml:Transition" xmi:id="_asTicNpEEemf5KbOCDCKzA" source="_IJtJ8NpEEemf5KbOCDCKzA" target="_QQtGQNpEEemf5KbOCDCKzA"/>
            <subvertex xmi:type="uml:Pseudostate" xmi:id="_H027UNpEEemf5KbOCDCKzA" name="Initial1"/>
            <subvertex xmi:type="uml:State" xmi:id="_IJtJ8NpEEemf5KbOCDCKzA" name="State2">
              <entry xmi:type="uml:OpaqueBehavior" xmi:id="_txnJ8NpFEemf5KbOCDCKzA" name="setpointgenerator.generateSetPoints(estimatedState);messageservice.issueControlCommand();">
                <language>JAVA</language>
                <body>setpointgenerator.generateSetPoints(estimatedState);messageservice.issueControlCommand();</body>
              </entry>
            </subvertex>
            <subvertex xmi:type="uml:FinalState" xmi:id="_QQtGQNpEEemf5KbOCDCKzA" name="FinalState4"/>
          </region>
        </ownedBehavior>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_magUINoyEemf5KbOCDCKzA" name="stopRegulating"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_mstecNoyEemf5KbOCDCKzA" name="updatetest"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_m4bmQNoyEemf5KbOCDCKzA" name="writeStateToFile"/>
        <ownedReception xmi:type="uml:Reception" xmi:id="_oINMENoyEemf5KbOCDCKzA" name="decideForTypeOfRegulation" signal="_R93zsNo5Eemf5KbOCDCKzA"/>
        <ownedReception xmi:type="uml:Reception" xmi:id="_oVy8INoyEemf5KbOCDCKzA" name="issueRequest" signal="_Tcr7ENo5Eemf5KbOCDCKzA"/>
        <ownedReception xmi:type="uml:Reception" xmi:id="_ompbkNoyEemf5KbOCDCKzA" name="issueSetPoints" signal="_U97EUNo5Eemf5KbOCDCKzA"/>
        <ownedReception xmi:type="uml:Reception" xmi:id="_o2WrgNoyEemf5KbOCDCKzA" name="purgeVariables" signal="_WdHmMNo5Eemf5KbOCDCKzA"/>
        <ownedReception xmi:type="uml:Reception" xmi:id="_rbW-4NoyEemf5KbOCDCKzA" name="update" signal="_X2hCENo5Eemf5KbOCDCKzA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Class" xmi:id="_55oVYNopEemf5KbOCDCKzA" name="ControllableGenDataObjectClass">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_GKbpkNozEemf5KbOCDCKzA" name="time" visibility="private" type="_qjNnMNo4Eemf5KbOCDCKzA"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_dM5tYNo4Eemf5KbOCDCKzA" name="messageservce" type="_7PhxUNopEemf5KbOCDCKzA" association="_dMqc0No4Eemf5KbOCDCKzA"/>
        <ownedBehavior xmi:type="uml:StateMachine" xmi:id="_9v4dINpIEemf5KbOCDCKzA" name="ControllableGenDataObjectClass">
          <region xmi:type="uml:Region" xmi:id="_EU2mANpJEemf5KbOCDCKzA" name="Region1">
            <transition xmi:type="uml:Transition" xmi:id="_H34n4NpJEemf5KbOCDCKzA" source="_FQUIsNpJEemf5KbOCDCKzA" target="_GpLZENpJEemf5KbOCDCKzA"/>
            <transition xmi:type="uml:Transition" xmi:id="_IU9lcNpJEemf5KbOCDCKzA" source="_GpLZENpJEemf5KbOCDCKzA" target="_G74SoNpJEemf5KbOCDCKzA">
              <trigger xmi:type="uml:Trigger" xmi:id="_8D0HcNpJEemf5KbOCDCKzA" event="_MLE7YNpJEemf5KbOCDCKzA"/>
            </transition>
            <transition xmi:type="uml:Transition" xmi:id="_R2JyYNpKEemf5KbOCDCKzA" source="_G74SoNpJEemf5KbOCDCKzA" target="_Q8rzwNpKEemf5KbOCDCKzA">
              <effect xmi:type="uml:OpaqueBehavior" xmi:id="_XCUVQNpKEemf5KbOCDCKzA" name="messageservce.selectSuccessful()">
                <language>JAVA</language>
                <body>messageservce.selectSuccessful()</body>
              </effect>
            </transition>
            <transition xmi:type="uml:Transition" xmi:id="_4EV50NpMEemf5KbOCDCKzA" source="_Q8rzwNpKEemf5KbOCDCKzA" target="_0x3ccNpMEemf5KbOCDCKzA">
              <trigger xmi:type="uml:Trigger" xmi:id="_5NLKINpMEemf5KbOCDCKzA" event="_zre4oNpLEemf5KbOCDCKzA"/>
            </transition>
            <transition xmi:type="uml:Transition" xmi:id="_tQxiwNq-EemAb6L-LLAblw" source="_0x3ccNpMEemf5KbOCDCKzA" target="_suSgwNq-EemAb6L-LLAblw">
              <trigger xmi:type="uml:Trigger" xmi:id="_vQjCINq-EemAb6L-LLAblw" event="_3qLi0NpLEemf5KbOCDCKzA"/>
            </transition>
            <subvertex xmi:type="uml:Pseudostate" xmi:id="_FQUIsNpJEemf5KbOCDCKzA" name="Initial1"/>
            <subvertex xmi:type="uml:State" xmi:id="_GpLZENpJEemf5KbOCDCKzA" name="State2"/>
            <subvertex xmi:type="uml:State" xmi:id="_G74SoNpJEemf5KbOCDCKzA" name="State3"/>
            <subvertex xmi:type="uml:State" xmi:id="_Q8rzwNpKEemf5KbOCDCKzA" name="State6"/>
            <subvertex xmi:type="uml:State" xmi:id="_0x3ccNpMEemf5KbOCDCKzA" name="State8"/>
            <subvertex xmi:type="uml:State" xmi:id="_suSgwNq-EemAb6L-LLAblw" name="State10"/>
          </region>
        </ownedBehavior>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_DTobkNozEemf5KbOCDCKzA" name="Cancel"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_DiXbINozEemf5KbOCDCKzA" name="CommandTermination"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_DtQcgNozEemf5KbOCDCKzA" name="GetDataDefinition"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_D_p0ENozEemf5KbOCDCKzA" name="GetDataDirectory"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_EM_sgNozEemf5KbOCDCKzA" name="GetDataSetValues"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_EZTqMNozEemf5KbOCDCKzA" name="GetDataValues"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_Em6BUNozEemf5KbOCDCKzA" name="operate"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_E292kNozEemf5KbOCDCKzA" name="select"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_FIlyENozEemf5KbOCDCKzA" name="SetDataSetValues"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_FVBEgNozEemf5KbOCDCKzA" name="SetDataValues"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_A7fNkNo1Eemf5KbOCDCKzA" name="timeActivatedOperate"/>
        <ownedReception xmi:type="uml:Reception" xmi:id="_Fgn3kNozEemf5KbOCDCKzA" name="WaitForTime" signal="_Dx8ggNo5Eemf5KbOCDCKzA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Class" xmi:id="_7PhxUNopEemf5KbOCDCKzA" name="MessageService">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_WP8iUdo4Eemf5KbOCDCKzA" name="regulator" type="_5YjooNopEemf5KbOCDCKzA" association="_WPjgwNo4Eemf5KbOCDCKzA"/>
        <ownedAttribute xmi:type="uml:Property" xmi:id="_dMsSAto4Eemf5KbOCDCKzA" name="controllablegendataobjectclass" type="_55oVYNopEemf5KbOCDCKzA" association="_dMqc0No4Eemf5KbOCDCKzA"/>
        <ownedBehavior xmi:type="uml:StateMachine" xmi:id="_PM1jkNpGEemf5KbOCDCKzA" name="MessageServceStateMachine">
          <region xmi:type="uml:Region" xmi:id="_RA0psNpGEemf5KbOCDCKzA" name="Region1">
            <transition xmi:type="uml:Transition" xmi:id="_TRwxkNpGEemf5KbOCDCKzA" source="_SAIxoNpGEemf5KbOCDCKzA" target="_SQ6YkNpGEemf5KbOCDCKzA">
              <trigger xmi:type="uml:Trigger" xmi:id="_VuAKgNpGEemf5KbOCDCKzA" event="_6St6ENpFEemf5KbOCDCKzA"/>
            </transition>
            <transition xmi:type="uml:Transition" xmi:id="_TzXCwNpGEemf5KbOCDCKzA" source="_RwhoUNpGEemf5KbOCDCKzA" target="_SAIxoNpGEemf5KbOCDCKzA"/>
            <transition xmi:type="uml:Transition" xmi:id="_O-O08NpIEemf5KbOCDCKzA" source="_SQ6YkNpGEemf5KbOCDCKzA" target="_NPHAsNpIEemf5KbOCDCKzA">
              <effect xmi:type="uml:OpaqueBehavior" xmi:id="_UiEQ8NpIEemf5KbOCDCKzA" name="this.createMessage();">
                <language>JAVA</language>
                <body>this.createMessage();</body>
              </effect>
            </transition>
            <transition xmi:type="uml:Transition" xmi:id="_PdgK4NpIEemf5KbOCDCKzA" source="_NPHAsNpIEemf5KbOCDCKzA" target="_N72K4NpIEemf5KbOCDCKzA">
              <trigger xmi:type="uml:Trigger" xmi:id="_bmQFYNpIEemf5KbOCDCKzA" event="_bd7P0NpIEemf5KbOCDCKzA"/>
            </transition>
            <transition xmi:type="uml:Transition" xmi:id="_zQiJYNpIEemf5KbOCDCKzA" source="_N72K4NpIEemf5KbOCDCKzA" target="_xlMB4NpIEemf5KbOCDCKzA">
              <effect xmi:type="uml:OpaqueBehavior" xmi:id="_6qQwANpIEemf5KbOCDCKzA" name="controllablegendataobjectclass.select();">
                <language>JAVA</language>
                <body>controllablegendataobjectclass.select();</body>
              </effect>
            </transition>
            <transition xmi:type="uml:Transition" xmi:id="_YRXiUNpKEemf5KbOCDCKzA" source="_xlMB4NpIEemf5KbOCDCKzA" target="_XyUO0NpKEemf5KbOCDCKzA">
              <trigger xmi:type="uml:Trigger" xmi:id="_c54lkNpKEemf5KbOCDCKzA" event="_bmGpgNpKEemf5KbOCDCKzA"/>
            </transition>
            <transition xmi:type="uml:Transition" xmi:id="_iK_A4NpMEemf5KbOCDCKzA" source="_XyUO0NpKEemf5KbOCDCKzA" target="_hXegUNpMEemf5KbOCDCKzA">
              <effect xmi:type="uml:OpaqueBehavior" xmi:id="_mrFH8NpMEemf5KbOCDCKzA">
                <language>JAVA</language>
                <body>controllablegendataobjectclass.timeActivatedOperate()</body>
              </effect>
            </transition>
            <transition xmi:type="uml:Transition" xmi:id="_QUbIMNq-EemAb6L-LLAblw" source="_hXegUNpMEemf5KbOCDCKzA" target="_POjFQNq-EemAb6L-LLAblw">
              <effect xmi:type="uml:OpaqueBehavior" xmi:id="_rxln8Nq-EemAb6L-LLAblw" name="controllablegendataobjectclass.operate()">
                <language>JAVA</language>
                <body>controllablegendataobjectclass.operate()</body>
              </effect>
            </transition>
            <subvertex xmi:type="uml:Pseudostate" xmi:id="_RwhoUNpGEemf5KbOCDCKzA" name="Initial1"/>
            <subvertex xmi:type="uml:State" xmi:id="_SAIxoNpGEemf5KbOCDCKzA" name="State2"/>
            <subvertex xmi:type="uml:State" xmi:id="_SQ6YkNpGEemf5KbOCDCKzA" name="State3"/>
            <subvertex xmi:type="uml:State" xmi:id="_NPHAsNpIEemf5KbOCDCKzA" name="State6"/>
            <subvertex xmi:type="uml:State" xmi:id="_N72K4NpIEemf5KbOCDCKzA" name="State7"/>
            <subvertex xmi:type="uml:State" xmi:id="_xlMB4NpIEemf5KbOCDCKzA" name="State12"/>
            <subvertex xmi:type="uml:State" xmi:id="_XyUO0NpKEemf5KbOCDCKzA" name="State13"/>
            <subvertex xmi:type="uml:State" xmi:id="_hXegUNpMEemf5KbOCDCKzA" name="State14"/>
            <subvertex xmi:type="uml:State" xmi:id="_POjFQNq-EemAb6L-LLAblw" name="State16"/>
          </region>
        </ownedBehavior>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_ysHPsNoyEemf5KbOCDCKzA" name="issueControlCommand"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_y84PkNoyEemf5KbOCDCKzA" name="issueReport"/>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_zNuvANoyEemf5KbOCDCKzA" name="issueRequest"/>
        <ownedReception xmi:type="uml:Reception" xmi:id="_z1BYgNoyEemf5KbOCDCKzA" name="createMessage" signal="_GQyhgNo5Eemf5KbOCDCKzA">
          <ownedParameter xmi:type="uml:Parameter" xmi:id="_xMiPINo5Eemf5KbOCDCKzA" name="return" type="_uTlFANo5Eemf5KbOCDCKzA" direction="return"/>
        </ownedReception>
        <ownedReception xmi:type="uml:Reception" xmi:id="_0ENrENoyEemf5KbOCDCKzA" name="operationTermination" signal="_JAMuENo5Eemf5KbOCDCKzA"/>
        <ownedReception xmi:type="uml:Reception" xmi:id="_0WcDgNoyEemf5KbOCDCKzA" name="selectNotSuccessful" signal="_Kij4sNo5Eemf5KbOCDCKzA"/>
        <ownedReception xmi:type="uml:Reception" xmi:id="_018C8NoyEemf5KbOCDCKzA" name="selectSuccessful" signal="_MJO7kNo5Eemf5KbOCDCKzA"/>
        <ownedReception xmi:type="uml:Reception" xmi:id="_1a5xMNoyEemf5KbOCDCKzA" name="sendMessage" signal="_Nry6gNo5Eemf5KbOCDCKzA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Class" xmi:id="_72FbANopEemf5KbOCDCKzA" name="SetPointGenerator">
        <ownedAttribute xmi:type="uml:Property" xmi:id="_tLEsMNo2Eemf5KbOCDCKzA" name="regulator" type="_5YjooNopEemf5KbOCDCKzA" association="_tHLDoNo2Eemf5KbOCDCKzA"/>
        <ownedBehavior xmi:type="uml:StateMachine" xmi:id="_kswTsNpEEemf5KbOCDCKzA" name="SetPointGeneratorStateMachine">
          <region xmi:type="uml:Region" xmi:id="_obKfINpEEemf5KbOCDCKzA" name="Region1">
            <transition xmi:type="uml:Transition" xmi:id="_BCEjcNpFEemf5KbOCDCKzA" source="__gVq8NpEEemf5KbOCDCKzA" target="__04XkNpEEemf5KbOCDCKzA"/>
            <transition xmi:type="uml:Transition" xmi:id="_Bdde8NpFEemf5KbOCDCKzA" source="__04XkNpEEemf5KbOCDCKzA" target="_AOB3YNpFEemf5KbOCDCKzA">
              <trigger xmi:type="uml:Trigger" xmi:id="_GGUgcNpFEemf5KbOCDCKzA" event="_F-G_oNpFEemf5KbOCDCKzA"/>
            </transition>
            <transition xmi:type="uml:Transition" xmi:id="_B5O08NpFEemf5KbOCDCKzA" source="_AOB3YNpFEemf5KbOCDCKzA" target="_Aec5ANpFEemf5KbOCDCKzA"/>
            <subvertex xmi:type="uml:Pseudostate" xmi:id="__gVq8NpEEemf5KbOCDCKzA" name="Initial1"/>
            <subvertex xmi:type="uml:State" xmi:id="__04XkNpEEemf5KbOCDCKzA" name="State2"/>
            <subvertex xmi:type="uml:State" xmi:id="_AOB3YNpFEemf5KbOCDCKzA" name="State3"/>
            <subvertex xmi:type="uml:FinalState" xmi:id="_Aec5ANpFEemf5KbOCDCKzA" name="FinalState4"/>
          </region>
        </ownedBehavior>
        <ownedOperation xmi:type="uml:Operation" xmi:id="_AZsaANozEemf5KbOCDCKzA" name="generateSetPoints">
          <ownedParameter xmi:type="uml:Parameter" xmi:id="_iwwiENo5Eemf5KbOCDCKzA" name="Vector" type="_vbtnMNo4Eemf5KbOCDCKzA"/>
          <ownedParameter xmi:type="uml:Parameter" xmi:id="_k8YFENo5Eemf5KbOCDCKzA" name="return" type="_vbtnMNo4Eemf5KbOCDCKzA" direction="return"/>
        </ownedOperation>
      </packagedElement>
      <packagedElement xmi:type="uml:Association" xmi:id="_tHLDoNo2Eemf5KbOCDCKzA" name="Regulator_SetPointGenerator" memberEnd="_tLEsMNo2Eemf5KbOCDCKzA _tMHOANo2Eemf5KbOCDCKzA">
        <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_tKgrgNo2Eemf5KbOCDCKzA" source="org.eclipse.papyrus">
          <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_tKhSkNo2Eemf5KbOCDCKzA" key="nature" value="UML_Nature"/>
        </eAnnotations>
      </packagedElement>
      <packagedElement xmi:type="uml:Association" xmi:id="_WPjgwNo4Eemf5KbOCDCKzA" name="MessageService_Regulator" memberEnd="_WP8iUdo4Eemf5KbOCDCKzA _WQXZENo4Eemf5KbOCDCKzA">
        <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_WPoZQNo4Eemf5KbOCDCKzA" source="org.eclipse.papyrus">
          <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_WP8iUNo4Eemf5KbOCDCKzA" key="nature" value="UML_Nature"/>
        </eAnnotations>
      </packagedElement>
      <packagedElement xmi:type="uml:Association" xmi:id="_dMqc0No4Eemf5KbOCDCKzA" name="ControllableGenDataObjectClass_MessageServce" memberEnd="_dMsSAto4Eemf5KbOCDCKzA _dM5tYNo4Eemf5KbOCDCKzA">
        <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_dMsSANo4Eemf5KbOCDCKzA" source="org.eclipse.papyrus">
          <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_dMsSAdo4Eemf5KbOCDCKzA" key="nature" value="UML_Nature"/>
        </eAnnotations>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_YQmJQNopEemf5KbOCDCKzA" name="Data Types">
      <packagedElement xmi:type="uml:DataType" xmi:id="_qjNnMNo4Eemf5KbOCDCKzA" name="int"/>
      <packagedElement xmi:type="uml:DataType" xmi:id="_rp0p8No4Eemf5KbOCDCKzA" name="String"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_ty3aENo4Eemf5KbOCDCKzA" name="List"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_vbtnMNo4Eemf5KbOCDCKzA" name="Vector"/>
      <packagedElement xmi:type="uml:DataType" xmi:id="_wtnT8No4Eemf5KbOCDCKzA" name="boolean"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_uTlFANo5Eemf5KbOCDCKzA" name="Message"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_Z-iRwNopEemf5KbOCDCKzA" name="Signals">
      <packagedElement xmi:type="uml:Package" xmi:id="_6zM9gNowEemf5KbOCDCKzA" name="Regulator">
        <packagedElement xmi:type="uml:Signal" xmi:id="_R93zsNo5Eemf5KbOCDCKzA" name="decideForTypeOfRegulation"/>
        <packagedElement xmi:type="uml:Signal" xmi:id="_Tcr7ENo5Eemf5KbOCDCKzA" name="issueRequest"/>
        <packagedElement xmi:type="uml:Signal" xmi:id="_U97EUNo5Eemf5KbOCDCKzA" name="issueSetPoints"/>
        <packagedElement xmi:type="uml:Signal" xmi:id="_WdHmMNo5Eemf5KbOCDCKzA" name="purgeVariables"/>
        <packagedElement xmi:type="uml:Signal" xmi:id="_X2hCENo5Eemf5KbOCDCKzA" name="update"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Package" xmi:id="_8Ze-0NowEemf5KbOCDCKzA" name="MessageServce">
        <packagedElement xmi:type="uml:Signal" xmi:id="_GQyhgNo5Eemf5KbOCDCKzA" name="createMessage"/>
        <packagedElement xmi:type="uml:Signal" xmi:id="_JAMuENo5Eemf5KbOCDCKzA" name="operationTermination"/>
        <packagedElement xmi:type="uml:Signal" xmi:id="_Kij4sNo5Eemf5KbOCDCKzA" name="selectNotSuccessful"/>
        <packagedElement xmi:type="uml:Signal" xmi:id="_MJO7kNo5Eemf5KbOCDCKzA" name="selectSuccessful"/>
        <packagedElement xmi:type="uml:Signal" xmi:id="_Nry6gNo5Eemf5KbOCDCKzA" name="sendMessage"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Package" xmi:id="_9RpV4NowEemf5KbOCDCKzA" name="ControllableGenDataObjectClass">
        <packagedElement xmi:type="uml:Signal" xmi:id="_Dx8ggNo5Eemf5KbOCDCKzA" name="WaitForTime"/>
      </packagedElement>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_bPotQNopEemf5KbOCDCKzA" name="Events">
      <packagedElement xmi:type="uml:Package" xmi:id="_-fGngNowEemf5KbOCDCKzA" name="Regulator"/>
      <packagedElement xmi:type="uml:Package" xmi:id="_AUh4ENoxEemf5KbOCDCKzA" name="MessageServce">
        <packagedElement xmi:type="uml:CallEvent" xmi:id="_6St6ENpFEemf5KbOCDCKzA" name="issueControlCommand" operation="_ysHPsNoyEemf5KbOCDCKzA"/>
        <packagedElement xmi:type="uml:SignalEvent" xmi:id="_bd7P0NpIEemf5KbOCDCKzA" name="createMessage" signal="_GQyhgNo5Eemf5KbOCDCKzA"/>
        <packagedElement xmi:type="uml:SignalEvent" xmi:id="_bmGpgNpKEemf5KbOCDCKzA" name="selectSuccessful" signal="_MJO7kNo5Eemf5KbOCDCKzA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Package" xmi:id="_EEEE4NoxEemf5KbOCDCKzA" name="ControllableGenDataObjectClass">
        <packagedElement xmi:type="uml:CallEvent" xmi:id="_MLE7YNpJEemf5KbOCDCKzA" name="select" operation="_E292kNozEemf5KbOCDCKzA"/>
        <packagedElement xmi:type="uml:CallEvent" xmi:id="_zre4oNpLEemf5KbOCDCKzA" name="timeActivatedOperate" operation="_A7fNkNo1Eemf5KbOCDCKzA"/>
        <packagedElement xmi:type="uml:CallEvent" xmi:id="_3qLi0NpLEemf5KbOCDCKzA" name="operate" operation="_Em6BUNozEemf5KbOCDCKzA"/>
      </packagedElement>
      <packagedElement xmi:type="uml:Package" xmi:id="_4TgR0No5Eemf5KbOCDCKzA" name="SetPointGenerator">
        <packagedElement xmi:type="uml:CallEvent" xmi:id="_F-G_oNpFEemf5KbOCDCKzA" name="generateSetPoints" operation="_AZsaANozEemf5KbOCDCKzA"/>
      </packagedElement>
    </packagedElement>
  </packagedElement>
</uml:Model>
